Auto numbering of headers not working correctly on Special:Statistics page.
Closed, ResolvedPublic

Description

Author: bugzilla.wikimedia

Description:
Our
[[MediaWiki:Statistics-footer]] defines another headline, which is
not numbered in [[Spezial:Statistics]] even if auto header
numbering is enabled in the [[Special:Preferences]] for the user.
The other two headlines do have numbers.


Version: unspecified
Severity: minor
URL: http://ksh.wikipedia.org/wiki/Spezial:Statistik

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz9026.
bzimport created this task.Via LegacyFeb 18 2007, 9:38 PM
bzimport added a comment.Via ConduitJun 11 2007, 6:53 AM

robchur wrote:

Not all headlines on the page are parsed at the same time; this would be more evident to the user if the page counters were enabled, since the suppressed "page views" section would be shown.

The simple solution is to prepare the full text for the page and parse it in one go.

bzimport added a comment.Via ConduitJun 15 2007, 2:50 PM

thomas.dalton wrote:

patch

I think this does what you suggest. Two possible things wrong with it:

  1. The makeTitleSafe bit probably isn't needed now it's wikitext not HTML, but I'm not sure, so I left it there
  2. I've removed the direction mark, but I'm not if I should have or not

Please let me know if they need changing. Thanks!

attachment patch9026.diff ignored as obsolete

bzimport added a comment.Via ConduitJun 15 2007, 3:31 PM

thomas.dalton wrote:

patch2

New patch with my two questions fixed (thanks Tim!).

Attached: patch9026.diff

bzimport added a comment.Via ConduitAug 22 2007, 8:08 AM

robchur wrote:

Fixed in r25039, r25040.

Add Comment